# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Wed Mar 10 08:51:48 2021
# ------------------------------------------------

package:
  name: spyder
  version: 4.2.3
source:
  patches:
    - osx-zmq.patch
  sha256: 4965da36f6cc8385e06c35dd159a1d1e56500389480bfbdb8d4345e0be7aa3b0
  url: https://pypi.io/packages/source/s/spyder/spyder-4.2.3.tar.gz
build:
  entry_points:
    - spyder = spyder.app.start:main
  number: '0'
  osx_is_app: true
  string: py37h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - ca-certificates 2021.1.19 h06a4308_1
    - certifi 2020.12.5 py37h06a4308_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libedit 3.1.20191231 h14c3975_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1j h27cfd23_0
    - pip 21.0.1 py37h06a4308_0
    - python 3.7.10 hdb3f193_0
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py37h06a4308_0
    - sqlite 3.33.0 h62c20be_0
    - tk 8.6.10 hbc83047_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - IPython >=7.6.0
    - atomicwrites >=1.2.0
    - chardet >=2.0.0
    - cloudpickle >=0.5.0
    - diff-match-patch >=20181111
    - intervaltree >=3.0.2
    - jedi 0.17.2.*
    - jsonschema >=3.2.0
    - keyring >=17.0.0
    - nbconvert >=4.0
    - numpydoc >=0.6.0
    - parso 0.7.0.*
    - pexpect >=4.4.0
    - pickleshare >=0.4
    - psutil >=5.3
    - pygments >=2.0
    - pylint >=1.0
    - pyls-black >=0.4.6
    - pyls-spyder >=0.3.2
    - pyqt >=5.6,<5.13
    - python >=3.7,<3.8.0a0
    - python-language-server >=0.36.2,<1.0.0
    - pyxdg >=0.26
    - pyzmq >=17
    - qdarkstyle >=2.8
    - qtawesome >=0.5.7
    - qtconsole >=5.0.1
    - qtpy >=1.5.0
    - rtree >=0.8.3
    - setuptools >=39.0.0
    - sphinx >=0.6.6
    - spyder-kernels >=1.10.2,<1.11.0
    - textdistance >=4.2.0
    - three-merge >=0.1.1
    - watchdog >=0.10.3,<2.0.0
test:
  commands:
    - USER=test spyder -h
  imports:
    - spyder
app:
  entry: spyder
  icon: logo.png
  summary: The Scientific Python Development Environment
  type: desk
about:
  description: 'Spyder is a powerful scientific environment written in Python, for
    Python,

    and designed by and for scientists, engineers and data analysts.

    It features a unique combination of the advanced editing, analysis,

    debugging and profiling functionality of a comprehensive development tool

    with the data exploration, interactive execution, deep inspection and

    beautiful visualization capabilities of a scientific package.\n

    Furthermore, Spyder offers built-in integration with many popular

    scientific packages, including NumPy, SciPy, Pandas, IPython, QtConsole,

    Matplotlib, SymPy, and more.\n

    Beyond its many built-in features, Spyder can be extended even further via

    third-party plugins.\n

    Spyder can also be used as a PyQt5 extension library, allowing you to build

    upon its functionality and embed its components, such as the interactive

    console or advanced editor, in your own software.

    '
  dev_url: https://github.com/spyder-ide/spyder
  doc_url: https://docs.spyder-ide.org/
  home: https://www.spyder-ide.org/
  license: MIT
  license_file: LICENSE.txt
  summary: The Scientific Python Development Environment
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ccordoba12
    - dalthviz
